cURL
curl -X GET "https://app.cotool.ai/sources" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/sources")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"sources": [
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"apiType": "<string>",
"isBuiltIn": true,
"feedUrl": "<string>",
"serverUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"hasApiKey": true,
"enabled": true,
"sourceEnabled": true,
"subscriptionEnabled": true,
"scheduleCron": "<string>",
"maxEntries": 123,
"lastFetchedAt": "<string>",
"lastStatus": "<string>",
"lastError": "<string>",
"itemCountLast24h": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"syncJob": {
"jobId": "<string>",
"queuedAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>",
"updatedAt": "<string>",
"attemptCount": 123,
"error": "<string>"
}
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}API Reference
List intel sources
Lists built-in and custom intel sources for the current organization
GET
/
sources
cURL
curl -X GET "https://app.cotool.ai/sources" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/sources")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"sources": [
{
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"description": "<string>",
"apiType": "<string>",
"isBuiltIn": true,
"feedUrl": "<string>",
"serverUrl": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"hasApiKey": true,
"enabled": true,
"sourceEnabled": true,
"subscriptionEnabled": true,
"scheduleCron": "<string>",
"maxEntries": 123,
"lastFetchedAt": "<string>",
"lastStatus": "<string>",
"lastError": "<string>",
"itemCountLast24h": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"syncJob": {
"jobId": "<string>",
"queuedAt": "<string>",
"startedAt": "<string>",
"finishedAt": "<string>",
"updatedAt": "<string>",
"attemptCount": 123,
"error": "<string>"
}
}
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Was this page helpful?
⌘I